Bug 1285179 - Automation of Gluster development workflow
Automation of Gluster development workflow
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: scripts (Show other bugs)
3.7.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Raghavendra G
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 02:57 EST by Nandaja Varma
Modified: 2017-03-08 05:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-08 05:52:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandaja Varma 2015-11-25 02:57:07 EST
Description of problem:

Gluster development workflow is to be automated more so as to update the bug status as soon as corresponding patches are sent to gerrit 

More details: https://public.pad.fsfe.org/p/gluster-automated-bug-workflow 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Patch submissions do not automatically change bug status in Bugzilla

Expected results:

development workflow should be more automated.

Additional info:
Comment 1 Vijay Bellur 2015-11-25 05:29:20 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#1) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 2 Vijay Bellur 2015-11-25 05:49:15 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#2) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 3 Vijay Bellur 2015-11-25 05:58:19 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#3) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 4 Vijay Bellur 2015-11-25 06:18:17 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#4) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 5 Vijay Bellur 2015-11-25 07:04:27 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#5) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 6 Vijay Bellur 2015-11-25 07:05:39 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#6) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 7 Vijay Bellur 2015-11-25 07:06:12 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#7) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 8 Vijay Bellur 2015-11-25 07:11:32 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#8) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 9 Vijay Bellur 2015-11-25 07:13:25 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#9) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 10 Vijay Bellur 2015-11-25 08:20:02 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#10) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 11 Vijay Bellur 2015-11-25 08:21:05 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#11) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 12 Vijay Bellur 2015-11-25 08:24:21 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#12) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 13 Vijay Bellur 2015-11-25 08:25:30 EST
REVIEW: http://review.gluster.org/12746 (Modifications to rfc.sh for the new developer work flow) posted (#13) for review on master by Nandaja Varma (nandaja.varma@gmail.com)
Comment 14 Vijay Bellur 2015-11-30 04:18:25 EST
REVIEW: http://review.gluster.org/12817 (Modifications to rfc.sh for the new developer work flow) posted (#1) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 15 Vijay Bellur 2015-11-30 05:20:12 EST
REVIEW: http://review.gluster.org/12817 (Modifications to rfc.sh for the new developer work flow) posted (#2) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 16 Vijay Bellur 2015-11-30 05:26:53 EST
REVIEW: http://review.gluster.org/12817 (Modifications to rfc.sh for the new developer work flow) posted (#3) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 17 Vijay Bellur 2015-11-30 05:29:32 EST
REVIEW: http://review.gluster.org/12817 (Modifications to rfc.sh for the new developer work flow) posted (#4) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 18 Vijay Bellur 2015-11-30 05:34:20 EST
REVIEW: http://review.gluster.org/12817 ($'Modifications to rfc.sh for the new developer work flow) posted (#5) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 19 Vijay Bellur 2015-11-30 06:17:22 EST
REVIEW: http://review.gluster.org/12822 (rfc.sh : Modifications to new developer workflow) posted (#1) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 20 Vijay Bellur 2015-11-30 06:50:11 EST
REVIEW: http://review.gluster.org/12822 (rfc.sh : Modifications to new developer workflow) posted (#2) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 21 Vijay Bellur 2015-11-30 06:50:29 EST
REVIEW: http://review.gluster.org/12822 (rfc.sh : Modifications to new developer workflow) posted (#3) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)
Comment 24 Kaushal 2017-03-08 05:52:33 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.